## org.eclipse.amp.amf.gen.ide.prefs
Class GenConstants

    java.lang.Object
      org.eclipse.amp.amf.gen.ide.prefs.GenConstants

    public class GenConstants

extends java.lang.Object

Constant definitions for plug-in preferences

Field Summary
`static java.lang.String` `FORMAT_CODE`
`static java.lang.String` `GENERATE_COMMENTS`
`static java.lang.String` `GENERATE_STATS`
`static java.lang.String` `ORGANIZE_IMPORTS`
`static java.lang.String` `SOURCE_GEN_DIR`

Constructor Summary
`GenConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_CODE

    public static final java.lang.String FORMAT_CODE

See Also:
  Constant Field Values

### ORGANIZE_IMPORTS

    public static final java.lang.String ORGANIZE_IMPORTS

See Also:
  Constant Field Values

### GENERATE_COMMENTS

    public static final java.lang.String GENERATE_COMMENTS

See Also:
  Constant Field Values

### GENERATE_STATS

    public static final java.lang.String GENERATE_STATS

See Also:
  Constant Field Values

### SOURCE_GEN_DIR

    public static final java.lang.String SOURCE_GEN_DIR

See Also:
  Constant Field Values

Constructor Detail

### GenConstants

    public GenConstants()